﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Machine.Specifications;
using SportsStore.DataBaseInfrastructure;
using NUnit.Framework;

namespace SportsStore.DatabaseInfraStructure.Test.DatabaseSessionCreation
{
    [Subject(typeof(RavenSession),"About Creating the Session")]
    public class When_I_Dont_Give_The_DatabaseStore
    {
        static Exception exception;

        Establish context = () => 
        {
           exception=Catch.Exception(() => { ISession session = new RavenSession(null); });
        };

        It Should_Throw_an_Exception = () => 
        {
            exception.ShouldBeOfType<ArgumentNullException>();
        };
    }
}
